<div class="add-todo">
    <form ngNativeValidate (submit)="addTodo()">
        <input type="text" [(ngModel)]="inputTodo" value="{{inputTodo}}" name="inpTodo" class="add-todo-input" required
            placeholder="  Add ToDo..">
        <input type="submit" class="add-todo-submit" value="{{buttonName}}">
    </form>
</div>

<div class="list">
    <div class="list-item" *ngFor="let item of todos; let i = index">
        <div class="li-container">
            <div class="todo-wrapper">
                <div class="checkTodo" (change)="toggleCompleted(i)"><input type="checkbox" class="regular-checkbox"
                        name="completed" [checked]="item.completed" id="{{i}}"></div>
                <div class="todo {{item.completed ? 'completed' : ''}}">{{item.content}}</div>
            </div>
            <div class="todoBtn">
                <div><button class="updateTodo" (click)="updateTodo(i)">Update</button></div>
                <div><button class="removeTodo" (click)="deleteTodo(i)">Remove</button></div>
            </div>
        </div>
        
            <!-- <div (change)="toggleCompleted(i)"><input type="checkbox" class="regular-checkbox"
                    name="completed" [checked]="item.completed" id="{{i}}"></div>
            <div class="{{item.completed ? 'completed' : ''}}">{{item.content}}</div>
            <div><button (click)="updateTodo(i)">Update</button></div>
            <div><button (click)="deleteTodo(i)">Remove</button></div> -->
    </div>
</div>